import * as tfe from "@cdktf/provider-tfe";
import { DataTfeOrganization, TfeProvider } from "@cdktf/provider-tfe";
import { TerraformStack } from "cdktf";
import { Construct, IConstruct } from "constructs";
export interface BaseStackOptions {
    readonly hostname?: string;
    readonly token?: string;
    readonly sslSkipVerify?: boolean;
}
export interface RemoteBackendOptions {
    readonly hostname?: string;
    readonly organization: string;
    readonly token?: string;
}
export declare class BaseStack extends TerraformStack {
    private prefix;
    static isBaseStack(x: any): x is BaseStack;
    static baseStackOf(construct: IConstruct): BaseStack;
    readonly remoteBackendOptions: RemoteBackendOptions;
    tfeProvider: TfeProvider;
    organization: DataTfeOrganization;
    constructor(scope: Construct, organization: string, prefix: string, options?: BaseStackOptions);
    bootstrapWorkspace(name: string): tfe.Workspace;
}
export declare class Stack extends TerraformStack {
    static isMultiStackStack(x: any): x is Stack;
    workspace: tfe.Workspace;
    constructor(scope: Construct, stackName: string);
    addDependency(dependency: TerraformStack): void;
}
